Bug 1255109 - Uninstall kdelibs4 package remove too much non intented packages
Uninstall kdelibs4 package remove too much non intented packages
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-19 12:24 EDT by Helio Chissini de Castro
Modified: 2015-08-27 15:10 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-27 15:10:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Helio Chissini de Castro 2015-08-19 12:24:53 EDT
dnf is removing too much packages as invalid dependencies.

Removing kdelibs4 uninstalled by mistake some essential qt5 libraries that affects directly Plasma 5 runtime components

Long output: 

sudo dnf remove kdelibs-webkit-4.14.10-1.fc23.x86_64 kdelibs-4.14.10-1.fc23.x86_64 kdelibs-common-4.14.10-1.fc23.x86_64 kdelibs-ktexteditor-4.14.10-1.fc23.x86_64 -y
Dependencies resolved.
================================================================================================================================================================================================
 Package                                              Arch                              Version                                                        Repository                          Size
================================================================================================================================================================================================
Removing:
 ImageMagick                                          x86_64                            6.9.1.3-0.beta.3.fc23.2                                        @System                            489 k
 ImageMagick-libs                                     x86_64                            6.9.1.3-0.beta.3.fc23.2                                        @System                            7.7 M
 OpenEXR-libs                                         x86_64                            2.2.0-4.fc23                                                   @System                            3.0 M
 PackageKit-Qt                                        x86_64                            0.9.5-3.fc23                                                   @System                            254 k
 akregator                                            x86_64                            4.14.10-3.fc23                                                 @System                            2.5 M
 akregator-libs                                       x86_64                            4.14.10-3.fc23                                                 @System                            490 k
 apper                                                x86_64                            0.9.1-12.fc23                                                  @System                            4.2 M
 attica                                               x86_64                            0.4.2-8.fc23                                                   @System                            877 k
 baloo-akonadi                                        x86_64                            4.14.3-5.fc23                                                  @System                            222 k
 baloo-libs                                           x86_64                            4.14.3-5.fc23                                                  @System                            867 k
 baloo-widgets                                        x86_64                            4.14.3-3.fc23                                                  @System                            232 k
 dolphin                                              x86_64                            15.04.3-1.fc23                                                 @System                            2.3 M
 dolphin-libs                                         x86_64                            15.04.3-1.fc23                                                 @System                            1.0 M
 enblend                                              x86_64                            4.1.3-7.fc23                                                   @System                            7.5 M
 f22-backgrounds-base                                 noarch                            21.91.0-2.fc23                                                 @System                            9.0 M
 f22-backgrounds-kde                                  noarch                            21.91.0-2.fc23                                                 @System                            211  
 f22-kde-theme                                        noarch                            22.3-5.fc23                                                    @System                            2.3 M
 festival                                             x86_64                            1.96-31.fc23                                                   @System                            8.8 M
 festival-lib                                         x86_64                            1.96-31.fc23                                                   @System                            1.2 M
 festival-speechtools-libs                            x86_64                            1.2.96-31.fc23                                                 @System                            3.5 M
 festvox-slt-arctic-hts                               noarch                            0.20061229-31.fc23                                             @System                            2.2 M
 fftw-libs-double                                     x86_64                            3.3.4-6.fc23                                                   @System                            2.1 M
 flann                                                x86_64                            1.8.4-6.fc23                                                   @System                            5.2 M
 freeglut                                             x86_64                            3.0.0-2.fc23                                                   @System                            636 k
 gamin                                                x86_64                            0.1.10-18.fc23                                                 @System                            424 k
 gnupg2-smime                                         x86_64                            2.1.7-1.fc23                                                   @System                            1.0 M
 grantlee                                             x86_64                            0.5.1-3.fc23                                                   @System                            1.0 M
 gsl                                                  x86_64                            1.16-17.fc23                                                   @System                            2.6 M
 hdf5                                                 x86_64                            1.8.15-4.patch1.fc23                                           @System                            6.5 M
 herqq                                                x86_64                            1.0.0-10.fc23                                                  @System                            1.2 M
 hugin-base                                           x86_64                            2014.0.0-10.fc23                                               @System                             24 M
 icoutils                                             x86_64                            0.31.0-7.fc23                                                  @System                            216 k
 ilmbase                                              x86_64                            2.2.0-4.fc23                                                   @System                            516 k
 jovie                                                x86_64                            15.04.2-2.fc23                                                 @System                            1.0 M
 jovie-libs                                           x86_64                            15.04.2-2.fc23                                                 @System                             63 k
 kaccessible                                          x86_64                            15.04.2-2.fc23                                                 @System                            104 k
 kaccessible-libs                                     x86_64                            15.04.2-2.fc23                                                 @System                             44 k
 kactivities-libs                                     x86_64                            4.13.3-10.fc23                                                 @System                            196 k
 kaddressbook                                         x86_64                            4.14.10-3.fc23                                                 @System                            501 k
 kaddressbook-libs                                    x86_64                            4.14.10-3.fc23                                                 @System                            1.1 M
 kamera                                               x86_64                            15.04.2-2.fc23                                                 @System                            181 k
 kate4-part                                           x86_64                            4.14.3-15.fc23                                                 @System                            8.9 M
 kcm-gtk                                              x86_64                            0.5.3-18.fc23                                                  @System                            139 k
 kcolorchooser                                        x86_64                            15.04.2-2.fc23                                                 @System                             21 k
 kde-baseapps                                         x86_64                            15.04.3-1.fc23                                                 @System                              0  
 kde-baseapps-common                                  noarch                            15.04.3-1.fc23                                                 @System                             64 k
 kde-l10n                                             noarch                            15.04.1-2.fc23                                                 @System                              0  
 kde-platform-plugin                                  x86_64                            1:4.11.21-1.fc23                                               @System                             48 k
 kde-print-manager                                    x86_64                            15.04.2-3.fc23                                                 @System                            786 k
 kde-print-manager-libs                               x86_64                            15.04.2-3.fc23                                                 @System                            595 k
 kde-runtime                                          x86_64                            15.04.3-1.fc23                                                 @System                             12 M
 kde-runtime-drkonqi                                  x86_64                            15.04.3-1.fc23                                                 @System                            621 k
 kde-runtime-flags                                    noarch                            15.04.3-1.fc23                                                 @System                            109 k
 kde-runtime-libs                                     x86_64                            15.04.3-1.fc23                                                 @System                            5.4 M
 kde-settings-plasma                                  noarch                            22-11.fc23                                                     @System                            2.8 k
 kde-style-breeze                                     x86_64                            5.3.2-1.fc23                                                   @System                            497 k
 kde-workspace-common                                 noarch                            1:4.11.21-1.fc23                                               @System                             18 k
 kdeaccessibility                                     noarch                            1:4.14.3-2.fc23                                                @System                              0  
 kdegames-minimal                                     noarch                            6:4.14.3-2.fc23                                                @System                              0  
 kdegraphics-thumbnailers                             x86_64                            15.04.2-2.fc23                                                 @System                            128 k
 kdelibs                                              x86_64                            6:4.14.10-1.fc23                                               @System                             42 M
 kdelibs-common                                       x86_64                            6:4.14.10-1.fc23                                               @System                            2.5 M
 kdelibs-ktexteditor                                  x86_64                            6:4.14.10-1.fc23                                               @System                            273 k
 kdelibs-webkit                                       x86_64                            6:4.14.10-1.fc23                                               @System                            179 k
 kdepasswd                                            x86_64                            15.04.3-1.fc23                                                 @System                            296 k
 kdepim-common                                        x86_64                            4.14.10-3.fc23                                                 @System                            1.8 M
 kdepim-libs                                          x86_64                            7:4.14.10-3.fc23                                               @System                            9.0 M
 kdepim-runtime                                       x86_64                            1:4.14.10-2.fc23                                               @System                             13 M
 kdepim-runtime-libs                                  x86_64                            1:4.14.10-2.fc23                                               @System                            443 k
 kdepimlibs                                           x86_64                            4.14.10-3.fc23                                                 @System                            8.5 M
 kdepimlibs-akonadi                                   x86_64                            4.14.10-3.fc23                                                 @System                            6.7 M
 kdepimlibs-gpgme                                     x86_64                            4.14.10-3.fc23                                                 @System                            712 k
 kdepimlibs-kxmlrpcclient                             x86_64                            4.14.10-3.fc23                                                 @System                             65 k
 kdialog                                              x86_64                            15.04.3-1.fc23                                                 @System                            109 k
 kdnssd                                               x86_64                            15.04.2-2.fc23                                                 @System                            105 k
 keditbookmarks                                       x86_64                            15.04.3-1.fc23                                                 @System                            330 k
 keditbookmarks-libs                                  x86_64                            15.04.3-1.fc23                                                 @System                            104 k
 kf5-kactivities                                      x86_64                            5.12.0-3.fc23                                                  @System                            930 k
 kf5-kdnssd                                           x86_64                            5.12.0-1.fc23                                                  @System                            260 k
 kf5-kpeople                                          x86_64                            5.11.0-2.fc23                                                  @System                            434 k
 kfilemetadata                                        x86_64                            4.14.3-4.fc23                                                  @System                            383 k
 kfind                                                x86_64                            15.04.3-1.fc23                                                 @System                            267 k
 kget                                                 x86_64                            15.04.2-2.fc23                                                 @System                            3.6 M
 kget-libs                                            x86_64                            15.04.2-2.fc23                                                 @System                            832 k
 kgpg                                                 x86_64                            15.04.2-2.fc23                                                 @System                            1.8 M
 khotkeys                                             x86_64                            5.3.2-1.fc23                                                   @System                            2.4 M
 kio-extras                                           x86_64                            5.3.2-1.fc23                                                   @System                            3.3 M
 kipi-plugins                                         x86_64                            4.12.0-1.fc23                                                  @System                             36 M
 kipi-plugins-libs                                    x86_64                            4.12.0-1.fc23                                                  @System                            420 k
 kleopatra                                            x86_64                            4.14.10-3.fc23                                                 @System                            4.4 M
 kleopatra-libs                                       x86_64                            4.14.10-3.fc23                                                 @System                            1.6 M
 kmag                                                 x86_64                            15.04.2-2.fc23                                                 @System                            262 k
 kmahjongg                                            x86_64                            15.04.3-1.fc23                                                 @System                            1.5 M
 kmail                                                x86_64                            4.14.10-3.fc23                                                 @System                            4.4 M
 kmail-libs                                           x86_64                            4.14.10-3.fc23                                                 @System                             10 M
 kmenuedit                                            x86_64                            5.3.2-1.fc23                                                   @System                            1.3 M
 kmines                                               x86_64                            15.04.3-1.fc23                                                 @System                            843 k
 kmousetool                                           x86_64                            15.04.2-2.fc23                                                 @System                            161 k
 kmouth                                               x86_64                            15.04.2-2.fc23                                                 @System                            823 k
 knode                                                x86_64                            4.14.10-3.fc23                                                 @System                            1.5 M
 knode-libs                                           x86_64                            4.14.10-3.fc23                                                 @System                            2.1 M
 knotes-libs                                          x86_64                            4.14.10-3.fc23                                                 @System                            514 k
 konqueror                                            x86_64                            15.04.3-1.fc23                                                 @System                            6.2 M
 konqueror-libs                                       x86_64                            15.04.3-1.fc23                                                 @System                            144 k
 konsole-part                                         x86_64                            4.14.3-9.fc23                                                  @System                            1.3 M
 kontact                                              x86_64                            4.14.10-3.fc23                                                 @System                            1.2 M
 kontact-libs                                         x86_64                            4.14.10-3.fc23                                                 @System                            217 k
 korganizer                                           x86_64                            4.14.10-3.fc23                                                 @System                            2.9 M
 korganizer-libs                                      x86_64                            4.14.10-3.fc23                                                 @System                            1.2 M
 kpat                                                 x86_64                            15.04.3-1.fc23                                                 @System                            3.6 M
 ksnapshot                                            x86_64                            15.04.2-3.fc23                                                 @System                            578 k
 kuser                                                x86_64                            15.04.2-2.fc23                                                 @System                            663 k
 kwalletmanager                                       x86_64                            15.04.2-2.fc23                                                 @System                            903 k
 kwebkitpart                                          x86_64                            1.3.4-7.fc23                                                   @System                            1.1 M
 kwrited                                              x86_64                            5.3.2-1.fc23                                                   @System                             64 k
 lensfun                                              x86_64                            0.3.1-3.fc23                                                   @System                            1.7 M
 libdc1394                                            x86_64                            2.2.2-4.fc23                                                   @System                            334 k
 libdmtx                                              x86_64                            0.7.2-17.fc23                                                  @System                            150 k
 libgfortran                                          x86_64                            5.1.1-4.fc23                                                   @System                            1.2 M
 libiodbc                                             x86_64                            3.52.7-9.fc23                                                  @System                            560 k
 libkdcraw                                            x86_64                            15.04.2-2.fc23                                                 @System                            411 k
 libkdegames                                          x86_64                            15.04.3-1.fc23                                                 @System                             33 M
 libkdegames4                                         x86_64                            14.12.3-11.fc23                                                @System                             33 M
 libkexiv2                                            x86_64                            15.04.2-3.fc23                                                 @System                            1.6 M
 libkfbapi                                            x86_64                            1.0-6.fc23                                                     @System                            471 k
 libkgapi                                             x86_64                            2.2.0-4.fc23                                                   @System                            1.8 M
 libkgeomap                                           x86_64                            15.04.2-2.fc23                                                 @System                            489 k
 libkipi                                              x86_64                            15.04.2-2.fc23                                                 @System                            275 k
 libkmahjongg                                         x86_64                            14.12.3-3.fc23                                                 @System                            6.4 M
 libkolab                                             x86_64                            0.5.3-3.fc23                                                   @System                            941 k
 libkolabxml                                          x86_64                            1.0.3-4.fc23                                                   @System                            2.9 M
 libkonq                                              x86_64                            15.04.3-1.fc23                                                 @System                            453 k
 libksane                                             x86_64                            15.04.2-2.fc23                                                 @System                            321 k
 libktorrent                                          x86_64                            1.3.1-15.fc23                                                  @System                            2.1 M
 libkvkontakte                                        x86_64                            4.12.0-1.fc23                                                  @System                            385 k
 libkworkspace                                        x86_64                            1:4.11.21-1.fc23                                               @System                            152 k
 libmediawiki                                         x86_64                            4.12.0-1.fc23                                                  @System                            281 k
 libpano13                                            x86_64                            2.9.19-2.fc23                                                  @System                            587 k
 libquadmath                                          x86_64                            5.1.1-4.fc23                                                   @System                            288 k
 libqzeitgeist                                        x86_64                            0.8.0-14.fc23                                                  @System                            234 k
 libssh                                               x86_64                            0.7.1-1.fc23                                                   @System                            515 k
 libtidy                                              x86_64                            0.99.0-34.20091203.fc23                                        @System                            389 k
 libwmf-lite                                          x86_64                            0.2.8.4-45.fc23                                                @System                            150 k
 marble-astro                                         x86_64                            1:15.04.2-2.fc23                                               @System                            251 k
 marble-common                                        noarch                            1:15.04.2-2.fc23                                               @System                             79 k
 marble-widget                                        x86_64                            1:15.04.2-2.fc23                                               @System                            8.8 M
 marble-widget-data                                   noarch                            1:15.04.2-2.fc23                                               @System                             23 M
 opencv                                               x86_64                            2.4.11-5.fc23                                                  @System                             25 M
 opencv-core                                          x86_64                            2.4.11-5.fc23                                                  @System                            5.6 M
 openslp                                              x86_64                            2.0.0-7.fc23                                                   @System                            165 k
 oxygen-sound-theme                                   noarch                            5.3.2-1.fc23                                                   @System                            1.9 M
 perl-Image-ExifTool                                  noarch                            9.90-3.fc23                                                    @System                             12 M
 phonon                                               x86_64                            4.8.3-6.fc23                                                   @System                            635 k
 phonon-backend-gstreamer                             x86_64                            2:4.8.2-5.fc23                                                 @System                            385 k
 plasma-desktop                                       x86_64                            5.3.2-3.fc23                                                   @System                             27 M
 plasma-milou                                         x86_64                            5.3.2-1.fc23                                                   @System                            249 k
 plasma-workspace                                     x86_64                            5.3.2-10.fc23                                                  @System                             31 M
 polkit-qt                                            x86_64                            0.112.0-5.fc23                                                 @System                            228 k
 poppler-qt                                           x86_64                            0.34.0-1.fc23                                                  @System                            503 k
 powerdevil                                           x86_64                            5.3.2-1.fc23                                                   @System                            2.1 M
 prison                                               x86_64                            1.0-11.fc23                                                    @System                             40 k
 proj                                                 x86_64                            4.9.1-3.fc23                                                   @System                            513 k
 qaccessibilityclient                                 x86_64                            0.1.1-5.fc23                                                   @System                            314 k
 qca                                                  x86_64                            2.1.0-14.fc23                                                  @System                            1.5 M
 qextserialport                                       x86_64                            1.2-0.9.beta2.fc23                                             @System                             80 k
 qjson                                                x86_64                            0.8.1-10.fc23                                                  @System                            182 k
 qmobipocket                                          x86_64                            15.04.2-2.fc23                                                 @System                             31 k
 qt-gstreamer                                         x86_64                            1.2.0-4.fc23                                                   @System                            787 k
 qt-mobility-common                                   x86_64                            1.2.2-0.21.20140317git169da60c.fc23                            @System                            115 k
 qt-mobility-location                                 x86_64                            1.2.2-0.21.20140317git169da60c.fc23                            @System                            2.0 M
 qt-mobility-sensors                                  x86_64                            1.2.2-0.21.20140317git169da60c.fc23                            @System                            461 k
 qt5-qtquickcontrols                                  x86_64                            5.5.0-2.fc23                                                   @System                            3.5 M
 qt5-qttools                                          x86_64                            5.5.0-4.fc23                                                   @System                             82 k
 qtsoap                                               x86_64                            2.7-11.fc23                                                    @System                            221 k
 qtwebkit                                             x86_64                            2.3.4-8.fc23                                                   @System                             36 M
 quazip                                               x86_64                            0.7.1-3.fc23                                                   @System                            224 k
 redland-virtuoso                                     x86_64                            1.0.17-4.fc23                                                  @System                             48 k
 ruby                                                 x86_64                            2.2.2-43.fc23                                                  @System                             69 k
 ruby-irb                                             noarch                            2.2.2-43.fc23                                                  @System                            162 k
 ruby-libs                                            x86_64                            2.2.2-43.fc23                                                  @System                             10 M
 rubygem-bigdecimal                                   x86_64                            1.2.6-43.fc23                                                  @System                             87 k
 rubygem-io-console                                   x86_64                            0.4.3-43.fc23                                                  @System                             20 k
 rubygem-json                                         x86_64                            1.8.2-101.fc23                                                 @System                            149 k
 rubygem-psych                                        x86_64                            2.0.8-43.fc23                                                  @System                            120 k
 rubygem-rdoc                                         noarch                            4.2.0-43.fc23                                                  @System                            1.7 M
 rubygems                                             noarch                            2.4.8-100.fc23                                                 @System                            898 k
 rubypick                                             noarch                            1.1.1-4.fc23                                                   @System                            4.4 k
 shapelib                                             x86_64                            1.3.0f-8.fc23                                                  @System                            173 k
 shared-desktop-ontologies                            noarch                            0.11.0-4.fc23                                                  @System                            615 k
 soprano                                              x86_64                            2.9.4-8.fc23                                                   @System                            4.1 M
 vigra                                                x86_64                            1.10.0-14.fc23                                                 @System                            522 k
 xorg-x11-apps                                        x86_64                            7.7-14.fc23                                                    @System                            870 k
 xorg-x11-fonts-misc                                  noarch                            7.5-15.fc23                                                    @System                            6.8 M
 xorg-x11-xbitmaps                                    noarch                            1.1.1-8.fc23                                                   @System                            179 k

Transaction Summary
================================================================================================================================================================================================
Remove  194 Packages

........
Complete!


[helio@deathstar .kde (master)]$ sudo dnf install -y qt5-qtquickcontrols
Dependencies resolved.
================================================================================================================================================================================================
 Package                                               Arch                                     Version                                          Repository                                Size
================================================================================================================================================================================================
Installing:
 qt5-qtquickcontrols                                   x86_64                                   5.5.0-2.fc23                                     fedora                                   912 k

Transaction Summary
================================================================================================================================================================================================
Install  1 Package

Total download size: 912 k
Installed size: 3.5 M
Downloading Packages:
qt5-qtquickcontrols-5.5.0-2.fc23.x86_64.rpm                                                                                                                     1.6 MB/s | 912 kB     00:00    
------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                           368 kB/s | 912 kB     00:02     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Installing  : qt5-qtquickcontrols-5.5.0-2.fc23.x86_64                                                                                                                                     1/1 
  Verifying   : qt5-qtquickcontrols-5.5.0-2.fc23.x86_64                                                                                                                                     1/1 

Installed:
  qt5-qtquickcontrols.x86_64 5.5.0-2.fc23
Comment 1 Daniel Vrátil 2015-08-21 20:13:12 EDT
I guess that could be because of kde-style-breeze (Breeze widget theme for KDE4), which is required by plasma-desktop. We could use Recommends on F>=22 to make it a weak dependency. That should prevent kde-style-breeze from removing plasma-desktop, which in turn removes plasma-workspace which in turn removes half of the other stuff :)
Comment 2 Helio Chissini de Castro 2015-08-27 15:10:06 EDT
Yes, Dan Vratil is correct.
Is not a bug. 

Closing

Note You need to log in before you can comment on or make changes to this bug.